Subject: bug#58342: 29.0.50; noverlay branch is O(N) for important calls

From: Stefan Monnier <[email-masked]>
Date: Fri, 07 Oct 2022 09:36:50 -0400

Eli Zaretskii [2022-10-07 10:09:39] wrote:
>> [ Site note: `previous-overlay-change` is probably not very important in
>>   practice, but `next-overlay-change` OTOH is indeed important because
>>   it's used during redisplay.
> previous-overlay-change is also called by redisplay (but I didn't see
> how frequently), at least if you look at the code from the static
> analysis POV.

Do you happen to know via which path it can be called (beside the obvious
ones when the redisplay ends up calling ELisp, such as via jit-lock)?

        Stefan